"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("./utils");

var stringifyValues = function stringifyValues(route, values) {
  return Object.values(route.params).filter(function (_ref) {
    var key = _ref.key,
        notSetValue = _ref.notSetValue;
    return values[key] !== notSetValue;
  }).map(function (_ref2) {
    var key = _ref2.key,
        name = _ref2.name,
        stringify = _ref2.stringify;
    return [name, stringify(values[key])];
  }).reduce(_utils.createObject, {});
};

var _default = function _default(routes, location, spec) {
  var locationValues = stringifyValues(spec.route, spec.params);
  return spec.route.getLocation(locationValues, location);
};

exports.default = _default;